PKG-INSTALL(1)

NAME
pkg install - installs packages from remote package repositories

SYNOPSIS
pkg install [-ygxX] <pkg-origin> <...>

DESCRIPTION
pkg install is used for installation of packages from a remote package repository database. It can install multiple packages specified on the command-line from multiple repositories.

If a package is found to exists in more than one package repository the first matching repository is the one that the package will be first tried to be fetched from.

If fetching from the repository fails for some reason the next repository, which the package is found to exist is the one that is tried until the package is fetched, or all repositories are tried.

Multiple package repositories is activated only when the environment variable PACKAGESITE is not defined.

If PACKAGESITE is defined then only the repository to which it points is the one that is used during the package installations.

It is always good to update your package repositories first before doing a remote installation using pkg install

In order to update your remote package repositories please refer to the pkg-update(1) man page.

OPTIONS
The following options are supported by pkg install:

-y  Assume yes when asked for confirmation before package installation.

-g  Treat the package names as shell glob patterns.

-x  Treat the package names as regular expressions.

-X  Treat the package names as extended regular expressions.

ENVIRONMENT
The following environment variables affect the execution of pkg install. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PACKAGESITE

PKG_CACHEDIR

PKG_DBDIR

PKG_MULTIREPOS

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-create(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)